Wayland Library Output Functions
Ecore » Ecore_Wl2 - Wayland integration

Functions that deal with creating, destroying, or interacting with Wayland Outputs. More...

## Functions

EAPI int | ecore_wl2_output_dpi_get (Ecore_Wl2_Output *output)
| Return the DPI of a given output.
EAPI int | ecore_wl2_output_transform_get (Ecore_Wl2_Output *output)
| Get the current transform of a given output.

## Detailed Description

Functions that deal with creating, destroying, or interacting with Wayland Outputs.

## Function Documentation

## ecore_wl2_output_dpi_get()

EAPI int ecore_wl2_output_dpi_get | ( | Ecore_Wl2_Output * | output | ) |

Return the DPI of a given output.

This is a simplistic call to get DPI. It does not account for differing DPI in the x and y axes nor does it account for multihead or xinerama and xrandr where different parts of the screen may have different DPI etc.

Parameters

  output | The output to get the DPI of

Returns
  the general screen DPI (dots/pixels per inch).

Since
  1.17

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ecore_wl2_output_transform_get()

EAPI int ecore_wl2_output_transform_get | ( | Ecore_Wl2_Output * | output | ) |

Get the current transform of a given output.

Parameters

  output | The output to get the transform of

Returns
  The output's current transform value

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN_VAL.